Subject: RE: Mount issues
From: John Wiersba <[email-masked]>
To: "'Sandeep Tamhankar'" <[email-masked]>
Cc: "'cygwin'" <[email-masked]>
Date: Thu, 28 Jun 2001 17:43:19 -0400

Now that I reread my reply, I see the answer.  Use mount -b -s /cygdrive
(note: "-b").

-- John

> -----Original Message-----
> From: John Wiersba 
> Sent: Thursday, June 28, 2001 5:40 PM
> To: 'Sandeep Tamhankar'; John Wiersba
> Cc: cygwin
> Subject: RE: Mount issues
> 
> 
> Sandeep,
> 
> $ mount -p
> Prefix              Type         Flags
> /                   user         textmode
> 
> $ mount
> d:\cygwin\bin on /usr/bin type system (binmode)
> d:\cygwin\lib on /usr/lib type system (binmode)
> d:\cygwin on / type system (binmode)
> c: on /c type user (binmode,noumount)              <= note: bin mode
> 
> $ mount -c /cygdrive
> $ mount
> d:\cygwin\bin on /usr/bin type system (binmode)
> d:\cygwin\lib on /usr/lib type system (binmode)
> d:\cygwin on / type system (binmode)
> c: on /cygdrive/c type user (textmode,noumount)    <= note: 
> now text mode
> 
> $ mount -c /
> $ mount
> d:\cygwin\bin on /usr/bin type system (binmode)
> d:\cygwin\lib on /usr/lib type system (binmode)
> d:\cygwin on / type system (binmode)
> c: on /c type user (textmode,noumount)             <= note: 
> still text mode
> 
> What I do to fix this is to:
>    1) mount -c /something_different
>    2) mkdir -p /c
>    3) mount -b c: /c
>    4) mount -c /
> 
> I don't know what you can do if your drives keep changing 
> dynamically.  It seems to revert to text mounts regardless of 
> the CYGWIN=binmode setting.
> 
> -- John
> 
> > -----Original Message-----
> > From: Sandeep Tamhankar [mailto:[email-masked]]
> > Sent: Thursday, June 28, 2001 5:02 PM
> > To: John Wiersba
> > Cc: cygwin
> > Subject: Re: Mount issues
> > 
> > 
> > Well, I can't unmount these mount points because Cygwin 
> automatically 
> > creates these user mounts on login with (textmode, noumount) 
> > settings.  
> > And when I try to add the system mount points without 
> unmounting the 
> > user mounts, I get the following warning:
> > 
> > ~: mount -s c: /cygdrive/c
> > mount: warning: system mount point of '/cygdrive/c' will always be 
> > masked by user mount.
> > 
> > I feel like this needs to be solved in an environment 
> variable or the 
> > registry.  I mean, what makes cygwin automatically mount 
> these drives 
> > and what makes it use textmode?  And why is it that my 
> user-id mounts 
> > them in binary mode, but all other users get textmode?  The only 
> > distinction between me and the other user I've been 
> > expermenting with is 
> > that my username's the one that's done the various Cygwin 
> > installations 
> > over the years.
> > 
> > And the registry doesn't show these mounts at all.  And that 
> > kinda makes 
> > sense because Cygwin wants to auto-mount all the current 
> > drive letters, 
> > and that can change over time.  So when I start a Cygwin shell, it 
> > checks which drive letters are around and creates mount points for 
> > them....it just happens to create them in textmode for anyone 
> > except me.
> > 
> > Any other ideas?
> > 
> > -Sandeep
> > 
> > John Wiersba wrote:
> > 
> > >Use mount -s to remount them.  You may need to umount them first.
> > >
> > >>-----Original Message-----
> > >>From: Sandeep Tamhankar [mailto:[email-masked]]
> > >>Sent: Thursday, June 28, 2001 2:00 PM
> > >>To: cygwin
> > >>Subject: Mount issues
> > >>
> > >>
> > >>When I log into my W2k box and start up a Cygwin 1.3.2-1 
> > shell, I see 
> > >>that various drives are mapped with binmode.  But when I 
> log in as 
> > >>someone else, I see those same drives mounted in text mode.  I 
> > >>understand that these are user mounts.  How do I set things 
> > >>so that no 
> > >>matter who logs in (either on console or via Cygwin 
> telnet), these 
> > >>mounts are in binmode?
> > >>
> > >>I've set my CYGWIN (system) environment variable to 
> binmode and my 
> > >>c:\cygwin\usr\sbin\inetd.exe REG_SZ value in the registry 
> > to "binmode 
> > >>tty ntsec".
> > >>
> > >>TIA.
> > >>
> > >>-Sandeep
> > >>
> > >>
> > >>--
> > >>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > >>Bug reporting:         http://cygwin.com/bugs.html
> > >>Documentation:         http://cygwin.com/docs.html
> > >>FAQ:                   http://cygwin.com/faq/
> > >>
> > 
> > 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/